LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::i18n::WordType Constant Group Referencepublished

Constants to specify the type of words. More...

## Variables
const short | ANY_WORD = 0
| Any "words" - words in the meaning of same character types, collection of alphanumeric characters, or collection of non-alphanumeric characters. More...
const short | ANYWORD_IGNOREWHITESPACES = 1
| Any "words" - words in the meaning of same character types, collection of alphanumeric characters, or collection of non-alphanumeric characters except blanks. More...
const short | DICTIONARY_WORD = 2
| "words" - in the meaning of a collection of alphanumeric characters and some punctuations, like dot for abbreviation. More...
const short | WORD_COUNT = 3
| The mode for counting words, it will combine punctuations and spaces as word trail. More...

## Detailed Description

Constants to specify the type of words.

Used with XBreakIterator::nextWord(), XBreakIterator::previousWord(), XBreakIterator::getWordBoundary(), XBreakIterator::getWordType(), XBreakIterator::isBeginWord(), XBreakIterator::isEndWord()

## Variable Documentation

## ◆ ANY_WORD

const short ANY_WORD = 0

Any "words" - words in the meaning of same character types, collection of alphanumeric characters, or collection of non-alphanumeric characters.

## ◆ ANYWORD_IGNOREWHITESPACES

const short ANYWORD_IGNOREWHITESPACES = 1

Any "words" - words in the meaning of same character types, collection of alphanumeric characters, or collection of non-alphanumeric characters except blanks.

## ◆ DICTIONARY_WORD

const short DICTIONARY_WORD = 2

"words" - in the meaning of a collection of alphanumeric characters and some punctuations, like dot for abbreviation.

## ◆ WORD_COUNT

const short WORD_COUNT = 3

The mode for counting words, it will combine punctuations and spaces as word trail.